AbfsReadFooterMetricsEnum (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.enums, enum: AbfsReadFooterMetricsEnum

Package org.apache.hadoop.fs.azurebfs.enums

# Enum Class AbfsReadFooterMetricsEnum

java.lang.Object
java.lang.Enum<AbfsReadFooterMetricsEnum>
org.apache.hadoop.fs.azurebfs.enums.AbfsReadFooterMetricsEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<AbfsReadFooterMetricsEnum>`, `Constable`

public enum AbfsReadFooterMetricsEnum extends Enum<AbfsReadFooterMetricsEnum>
Enum representing various ABFS read footer metrics.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AVG_FILE_LENGTH`
  `AVG_FIRST_OFFSET_DIFF`
  `AVG_OFFSET_DIFF_BETWEEN_FIRST_AND_SECOND_READ`
  `AVG_READ_LEN_REQUESTED`
  `AVG_SECOND_OFFSET_DIFF`
  `AVG_SIZE_READ_BY_FIRST_READ`
  `TOTAL_FILES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the description of the metric.
  `String`
  `getName()`
  Gets the name of the metric.
  `StatisticTypeEnum`
  `getStatisticType()`
  Gets the statistic type of the metric.
  `String`
  `getType()`
  Gets the type of the metric.
  `static AbfsReadFooterMetricsEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbfsReadFooterMetricsEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOTAL_FILES

    public static final AbfsReadFooterMetricsEnum TOTAL_FILES

  - ### AVG_FILE_LENGTH

    public static final AbfsReadFooterMetricsEnum AVG_FILE_LENGTH

  - ### AVG_SIZE_READ_BY_FIRST_READ

    public static final AbfsReadFooterMetricsEnum AVG_SIZE_READ_BY_FIRST_READ

  - ### AVG_OFFSET_DIFF_BETWEEN_FIRST_AND_SECOND_READ

    public static final AbfsReadFooterMetricsEnum AVG_OFFSET_DIFF_BETWEEN_FIRST_AND_SECOND_READ

  - ### AVG_READ_LEN_REQUESTED

    public static final AbfsReadFooterMetricsEnum AVG_READ_LEN_REQUESTED

  - ### AVG_FIRST_OFFSET_DIFF

    public static final AbfsReadFooterMetricsEnum AVG_FIRST_OFFSET_DIFF

  - ### AVG_SECOND_OFFSET_DIFF

    public static final AbfsReadFooterMetricsEnum AVG_SECOND_OFFSET_DIFF

- ## Method Details

  - ### values

    public static AbfsReadFooterMetricsEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbfsReadFooterMetricsEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Gets the name of the metric.
    Returns:
      the name of the metric

  - ### getDescription

    public String getDescription()
    Gets the description of the metric.
    Returns:
      the description of the metric

  - ### getType

    public String getType()
    Gets the type of the metric.
    Returns:
      the type of the metric

  - ### getStatisticType

    public StatisticTypeEnum getStatisticType()
    Gets the statistic type of the metric.
    Returns:
      the statistic type of the metric